---
layout: post
title: Web Development Tips for Beginners
---

In this post I'm going to tell you all the things I wish I would have known when I first got into making websites. The sort of things that won't make you a better coder but instead save you time and sanity.

# Use Github Pages
Hopefully you are already using Github, if not go sign up and start using version control on your projects. With Github Pages you get a free domain (username.github.io) and free hosting. I explain this in more detail in this [post](/2016/03/10/ghost-to-jekyll.html).

# Backup Everything
Every website you make should be kept safe somewhere, especially if it is for a client. Ideally you would keep it on Github and implement version control in your project. Dropbox and external hard drives are good too, just make sure it won't accidentally get deleted.

# Hate Bootstrap
Seriously, don't use it. It makes you dumb and doesn't force you to come up with solutions on your own. Copying and pasting someone's css is better than blindly assigning HTML classes for Bootstrap. This applies for any css framework.

# Style with Sass
I have no idea why anyone would prefer normal css over [Sass](http://sass-lang.com/). It makes for cleaner code and has tons of features. Installing Sass is easy and so is using it. It really is CSS with superpowers.

# Use a Build System
This is what really got me coding much faster. A build system is something that automates tasks that you repeatedly do every time you update code (i.e. sass, lint, etc). [Gulp](http://gulpjs.com/) is my recommendation in this field though there is alternatives such as the popular Grunt.
